psych.c File Reference
`#include <psych.h>`

Go to the source code of this file.

## Functions

static VALUE | libyaml_version (VALUE module)
void | Init_psych ()

## Variables

VALUE | mPsych

## Function Documentation

void Init_psych | ( |  | ) |

Definition at line 23 of file psych.c.

References Init_psych_emitter(), Init_psych_parser(), Init_psych_to_ruby(), Init_psych_yaml_tree(), libyaml_version(), mPsych, rb_define_module(), and rb_define_singleton_method().

static VALUE libyaml_version | ( | VALUE | module | ) |

static

Definition at line 7 of file psych.c.

References INT2NUM(), list, major, minor, and rb_ary_new4().

Referenced by Init_psych().

## Variable Documentation

VALUE mPsych

Definition at line 21 of file psych.c.

Referenced by Init_psych(), and Init_psych_parser().